import StudentTableRow from "../../components/studenttablerow/studenttablerow";
import { useOnlyTeachers, useStudents } from "../../hooks/UserHooks";
import { Container } from "react-bootstrap";

const StudentsPage = () => {
    useOnlyTeachers();
    const { students, handleStudentsChange } = useStudents();

    return (
        <>
            <Container>
                <table className="table">
                    <thead>
                        <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Фамилия Имя</th>
                            <th scope="col">Группа</th>
                        </tr>
                    </thead>
                    <tbody>
                        {
                            students.map((student, index) => <StudentTableRow key={index} student={student} />)
                        }
                    </tbody>
                </table>
            </Container>
        </>
    );
};

export default StudentsPage;